### Class

# Atk Registry

#### Description [src]

    class Atk.Registry : GObject.Object
    {
      GHashTable* factory_type_registry,
      GHashTable* factory_singleton_cache
    }

An object used to store the GType of the factories used to create an accessible object for an object of a particular GType.

The AtkRegistry is normally used to create appropriate ATK “peers” for user interface components. Application developers usually need only interact with the AtkRegistry by associating appropriate ATK implementation classes with GObject classes via the atk_registry_set_factory_type call, passing the appropriate GType for application custom widget classes.

#### Ancestors

- GObject

#### Instance methods

###### atk_registry_get_factory

Gets an `AtkObjectFactory` appropriate for creating `AtkObjects` appropriate for `type`.

###### atk_registry_get_factory_type

Provides a `GType` indicating the `AtkObjectFactory` subclass associated with `type`.

###### atk_registry_set_factory_type

Associate an `AtkObjectFactory` subclass with a `GType`. Note: The associated `factory_type` will thereafter be responsible for the creation of new `AtkObject` implementations for instances appropriate for `type`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkRegistryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.